
public class Circle {
	//radius of circle
	private int radius ;
	/**
	 * Create a new Circle
	 * @param radius radius of circle
	 */
	public Circle(int radius) {
		this.radius = radius ;
	}
	/**
	 * Get radius of circle
	 * @return radius of circle
	 */
	public int getRadius() {
		return radius ;
	}
	/**
	 * Calculate perimeter of circle
	 * @return perimeter of circle
	 */
	public double calculatePerimeter() {
		return Double.parseDouble(String.format("%.2f", 3.14*radius*2) ) ;
	}
	/**
	 * Calculate area of circle
	 * @return area of circle
	 */
	public double calculateArea() {
		return Double.parseDouble(String.format("%.2f", 3.14*radius*radius) ) ;
	}
	/**
	 * Print info of circle
	 */
	public void draw() {
		System.out.println("Type of shape: Circle | Perimeter: "
				+ calculatePerimeter()+ " | Area: " + calculateArea()) ;
	}
	@Override
	public String toString() {
		return "Circle [radius = " + radius + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + radius;
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Circle other = (Circle) obj;
		if (radius != other.radius)
			return false;
		return true;
	}
	
}
