import java.util.ArrayList;
/**
 * 
 * @author Ali
 *
 */
public class Paint {
	private ArrayList<Circle> circles ;
	private ArrayList<Rectangle> rectangles ; ;
	private ArrayList<Triangle> triangles ; ;
	/**
	 * Create a new Paint
	 */
	public Paint() {
		circles = new ArrayList<Circle>() ;
		triangles = new ArrayList<Triangle>() ;
		rectangles = new ArrayList<Rectangle>() ;
	}
	/**
	 * Add circle to paint
	 * @param circle
	 */
	public void addCircle(Circle circle) {
		circles.add(circle) ;
	}
	/**
	 * Add triangle to paint
	 * @param triangle
	 */
	public void addTriangle(Triangle triangle) {
		triangles.add(triangle) ;
	}
	/**
	 * Add rectangle to paint
	 * @param rectangle
	 */
	public void addRectangle(Rectangle rectangle) {
		rectangles.add(rectangle) ;
	}
	/**
	 * Print info of all shapes
	 */
	public void drawAll() {
		for(Rectangle rectangle : rectangles) {
			rectangle.draw();
		}
		for(Triangle triangle : triangles) {
			triangle.draw();
		}
		for(Circle circle : circles) {
			circle.draw();
		}
	}
	/**
	 * print info of all shapes
	 */
	public void printAll() {
		for(Rectangle rectangle : rectangles) {
			System.out.println( rectangle.toString() ) ;
		}
		for(Triangle triangle : triangles) {
			System.out.println( triangle.toString() ) ;
		}
		for(Circle circle : circles) {
			System.out.println( circle.toString() ) ;
		}
	}
	
}
