import java.util.ArrayList;

public class Rectangle {
	//ArrayList of sides of rectangle
	private ArrayList<Integer> sides ;
	/**
	 * Create a new Rectangle
	 * @param sides sides of rectangle
	 */
	public Rectangle(Integer... sides ) {
		this.sides = new ArrayList<>() ;	
		for(Integer side : sides) {
			this.sides.add(side) ;
		}
	}
	/**
	 * Get sides of rectangle
	 * @return sides of rectangle
	 */
	public ArrayList<Integer> getSides(){
		return sides ;
	}
	/**
	 * @return true if shape be square
	 */
	public boolean isSquare() {
		if(sides.get(0) == sides.get(1)) {
			return true ;
		}
		return false ;
	}
	/**
	 * Calculate perimeter of rectangle
	 * @return perimeter of rectangle
	 */
	public Integer calculatePerimeter() {
		return (sides.get(0) + sides.get(1))*2 ;
	}
	/**
	 * Calculate area of rectangle
	 * @return area of rectangle
	 */
	public Integer calculateArea() {
		return sides.get(0)*sides.get(1) ;
	}
	/**
	 * print info of rectangle
	 */
	public void draw() {
		System.out.println("Type of shape: Rectangle | Perimeter: "
				+ calculatePerimeter()+ " | Area: " + calculateArea()) ;
	}
	@Override
	public String toString() {
		return "Rectangle [side1 = " + sides.get(0) 
		+ " side2 = " + sides.get(1) + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((sides == null) ? 0 : sides.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Rectangle other = (Rectangle) obj;
		if (sides == null) {
			if (other.sides != null)
				return false;
		} else if (!sides.equals(other.sides))
			return false;
		return true;
	}
}
