import java.util.ArrayList;


public class Triangle {
	//ArrayList of sides of triangle
	private ArrayList<Integer> sides ;
	/**
	 * Create a new triangle
	 * @param sides sides of triangle
	 */
	public Triangle(Integer... sides) {
		this.sides = new ArrayList<Integer>() ;
		for(Integer side : sides) {
			this.sides.add(side) ;
		}
	}
	/**
	 * Get sides of triangle
	 * @return sides of triangle
	 */
	public ArrayList<Integer> getSides(){
		return sides ;
	}
	/**
	 * @return returns true if shape be equilateral
	 */
	public boolean isEquilateral() {
		if(sides.get(0) != sides.get(1))
			return false ;
		else if(sides.get(0) != sides.get(2)){
			return false ;
		}
		return true ;
	}
	/**
	 * Calculate perimeter of triangle
	 * @return perimeter of triangle
	 */
	public Integer calculatePerimeter() {
		return sides.get(0) 
				+ sides.get(1) + sides.get(2) ;
	}
	/**
	 * Calculate area of triangle
	 * @return area of triangle
	 */
	public double calculateArea() {
		int side1 = sides.get(0) ;
		int side2 = sides.get(1) ;
		int side3 = sides.get(2) ;
		double per = calculatePerimeter()/2 ;
		double result = Math.sqrt(per*(per-side1)*(per-side2)*(per-side3)) ;
		return Double.parseDouble(String.format("%.2f", result)) ;
	}
	/**
	 * Print info of triangle
	 */
	public void draw() {
		System.out.println("Type of shape: Triangle | Perimeter: "
				+ calculatePerimeter()+ " | Area: " + calculateArea()) ;
	}
	@Override
	public String toString() {
		return "Triangle [side1 = " + sides.get(0) +
				" side2 = " + sides.get(1) + 
				" side1 = " + sides.get(2) + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((sides == null) ? 0 : sides.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Triangle other = (Triangle) obj;
		if (sides == null) {
			if (other.sides != null)
				return false;
		} else if (!sides.equals(other.sides))
			return false;
		return true;
	}
	
	
	
}
